Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.checks
Class CheckResult

    java.lang.Object
      org.jasig.portal.tools.checks.CheckResult

    public class CheckResult

extends java.lang.Object

Object representing the result of a check. All CheckResults convey the result of a check. Additionally, CheckResults representing failures convey advice about how to remediate the failed check.

Since:
  uPortal 2.5
Version:
  $Revision: 1.2 $ $Date: 2005/05/20 01:49:32 $

Field Summary
`private java.lang.String` | `message` A message describing the result of the check.
`private java.lang.String` | `remediationAdvice` In the case where the check failed, a String describing how to resolve the failure.
`private boolean` | `success` True if this CheckResult represents a successful result.

Constructor Summary
`private` | `CheckResult(boolean success, java.lang.String message, java.lang.String remediationAdvice)`

Method Summary
`static CheckResult` | `createFailure(java.lang.String message, java.lang.String remediationAdvice)` Obtain a CheckResult representing a check that failed -- dependency for which you were checking was not present, thing you asserted to be true wasn't, etc.
`static CheckResult` | `createSuccess(java.lang.String message)` Obtain a CheckResult representing a check that succeeded -- dependency for which you were checking was present, thing you asserted to be true actually was true, etc.
`java.lang.String` | `getMessage()`
`java.lang.String` | `getRemediationAdvice()`
`boolean` | `isSuccess()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### success

    private final boolean success

  True if this CheckResult represents a successful result. False if it represents a failure.

### message

    private final java.lang.String message

  A message describing the result of the check.

### remediationAdvice

    private final java.lang.String remediationAdvice

  In the case where the check failed, a String describing how to resolve the failure.

Constructor Detail

### CheckResult

    private CheckResult(boolean success,
                        java.lang.String message,
                        java.lang.String remediationAdvice)

Method Detail

### createSuccess

    public static CheckResult createSuccess(java.lang.String message)

  Obtain a CheckResult representing a check that succeeded -- dependency for which you were checking was present, thing you asserted to be true actually was true, etc.

  Parameters:
    `message` - - a message describing the success of that check
  Returns:
    a CheckResult representing the success

### createFailure

    public static CheckResult createFailure(java.lang.String message,
                                            java.lang.String remediationAdvice)

  Obtain a CheckResult representing a check that failed -- dependency for which you were checking was not present, thing you asserted to be true wasn't, etc.

  Parameters:
    `message` - - a message describing the failure of the check
    `remediationAdvice` - - advice for the uPortal deployer about how to resolve this failure
  Returns:
    a CheckResult representing this failure

### getMessage

    public java.lang.String getMessage()

  Returns:
    Returns the message.

### getRemediationAdvice

    public java.lang.String getRemediationAdvice()

  Returns:
    Returns the remediationAdvice.

### isSuccess

    public boolean isSuccess()

  Returns:
    Returns the success.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD